/*
  gpsindicator.h
  Copyright (C) 2008 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __GPSINDICATOR_H__
#define __GPSINDICATOR_H__

#include <qwidget.h>
#include <qframe.h>
#include "gpsinfo.h"

class QLabel;

class GPSIndicator : public QFrame
{
  public:
	GPSIndicator(QWidget *parent, const char *name=0, WFlags f=0);

	void updateInfo(GPSInfo &info);
	void setInterval(int sec);

	void timerEvent(QTimerEvent *e);
	void show();
	void hide();

  protected:
	QLabel *icon;
	QLabel *satellites;
	QLabel *time;
	QLabel *lat;
	QLabel *lon;

	int interval;

	int tid;

	void disableText(bool disable);

  private:
	
};

#endif // __GPSINDICATOR_H__
