/*
  gpsview.h
  Copyright (C) 2008 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __GPSVIEW_H__
#define __GPSVIEW_H__

#include "layeredwidget.h"
#include "gpslogger.h"
#include "gpsindicator.h"
#include "gpsdialog.h"

class Pos;
class GPSIndicator;

class GPSView : public LayeredWidget
{
	Q_OBJECT
  public:
	GPSView( LayeredBase *parent = 0, const char *name = 0);

	bool paintEvent(QPaintEvent *e, QPixmap &p);
	bool keyPressEvent(QKeyEvent *e);
	void timerEvent(QTimerEvent *e);
	void showEvent();

  protected:
	bool gps_on;
	GPSLogger logger;
	int zoom;
	int interval;
	GPSIndicator *indicator;

	int tid;

	GpsDialog::Datum datum;
	int timezone;

  public slots:
	void setPosition(Pos &pos);
	void setConfig( const QString &, const QString &);

  signals:
	void detectGPSPosition(Pos &pos);
};

#endif // __GPSVIEW_H__
