/*
  loc_phs.h
  Copyright (C) 2008 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __LOC_PHS_H__
#define __LOC_PHS_H__

#include <qobject.h>

class Pos;
class QString;
class QWidget;

class LocPHS {
  public:
	LocPHS(QWidget *parent);
	~LocPHS();

	bool getLocation(Pos &pos);

  private:
	QWidget *parent;

	bool getLatLon(QString &lat, QString &lon);
	QString cleanString(const char *p);

	bool isSerialCard();
	bool isSuspended();
	void suspend();
	void resume();

#ifndef QWS
	bool dummy_suspend;
	int dummy_count;
#endif
};

#endif //__LOC_PHS_H__
